{% if pratica.meetings | length > 0 %}
  <div class="mt-5">
    <div class="point-list-wrapper my-4">
      {% for meeting in meetings %}
        <div class="point-list" id="meeting_{{ meeting.id }}">
          {% set meetingDate = meeting.fromTime | format_date( locale=app.request.locale) %}
          {% set now = 'now' |format_date( locale=app.request.locale) %}
          <div
            class="point-list-aside d-block {% if meetingDate < now %} point-list-secondary {% elseif meetingDate == now %} point-list-success {% else %} point-list-primary {% endif %}">
            <div
              class="point-month text-monospace">{{ ('calendars.opening_hours.months.short.' ~ (meeting.fromTime | date('M'))) | trans }}</div>
            <div class="point-date text-monospace">{{ meeting.fromTime | date('d') }}</div>
            <div class="point-time text-monospace">{{ meeting.fromTime | format_time(pattern='HH:mm', locale=app.request.locale) }}
              - {{ meeting.toTime | format_time(pattern='HH:mm:ss', locale=app.request.locale) }}</div>
          </div>
          <div class="point-list-content">
            <div class="card card-teaser shadow">
              <div class="card-body">
                <div class="mb-3 text-right">
                  {% if meeting.status == 0 %}
                    <div class="chip chip-warning">
                      <svg class="icon icon-xs icon-warning">
                        <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-warning"></use>
                      </svg>
                      <span class="chip-label">{{ 'meetings.status.pending' | trans }}</span>
                    </div>
                  {% elseif meeting.status == 1 %}
                    <div class="chip chip-success">
                      <svg class="icon icon-xs icon-success">
                        <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-check"></use>
                      </svg>
                      <span class="chip-label">{{ 'meetings.status.approved' | trans }}</span>
                    </div>
                  {% elseif meeting.status == 2 %}
                    <div class="chip chip-danger">
                      <svg class="icon icon-xs icon-danger">
                        <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-close"></use>
                      </svg>
                      <span class="chip-label">{{ 'meetings.status.refused' | trans }}</span>
                    </div>
                  {% elseif meeting.status == 3 %}
                    <div class="chip chip-danger">
                      <svg class="icon icon-xs icon-danger">
                        <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-close-circle"></use>
                      </svg>
                      <span class="chip-label">{{ 'meetings.status.missed' | trans }}</span>
                    </div>
                  {% elseif meeting.status == 4 %}
                    <div class="chip chip-success">
                      <svg class="icon icon-xs icon-success">
                        <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-check-circle"></use>
                      </svg>
                      <span class="chip-label">{{ 'meetings.status.done' | trans }}</span>
                    </div>
                  {% elseif meeting.status == 5 %}
                    <div class="chip chip-danger">
                      <svg class="icon icon-xs icon-danger">
                        <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-delete"></use>
                      </svg>
                      <span class="chip-label">{{ 'meetings.status.cancelled' | trans }}</span>
                    </div>
                  {% else %}
                    <div class="chip">
                      <svg class="icon icon-xs icon-secondary">
                        <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-clock"></use>
                      </svg>
                      <span class="chip-label">{{ 'meetings.status.draft' | trans }}</span>
                    </div>
                  {% endif %}
                </div>
                <h5 class="card-title mb-3">
                  {% if is_granted('ROLE_OPERATORE') %}
                    <a href="{{ path('operatori_calendar_show', {'calendar': meeting.calendar.id}) }}">{{ meeting.calendar.title }}</a>
                  {% elseif is_granted('ROLE_USER') %}
                    {{ pratica.servizio.name }}
                  {% endif %}
                </h5>
                <div class="card-text">
                  {% if meeting.userMessage %}
                    <div class="row">
                      <div class="col-2">
                        <svg class="icon">
                          <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-note"></use>
                        </svg>
                      </div>
                      <div class="col-10">
                        {% if meeting.status == constant('\\App\\Entity\\Meeting::STATUS_DRAFT') %}
                          {# DRAFT #}
                          <p class="font-italic text-secondary">{{ 'operatori.draft_description' | trans({
                              '%expiration_hour%': meeting.draftExpiration | format_time(pattern='HH:mm', locale=app.request.locale),
                              '%expiration_date%': meeting.draftExpiration | format_date( locale=app.request.locale)
                            }) }}</p>
                        {% else %}
                          <p class="my-2 font-italic">{{ meeting.userMessage }}</p>
                        {% endif %}
                      </div>
                    </div>
                  {% endif %}
                  {% if meeting.videoconferenceLink %}
                    <div class="row">
                      <div class="col-2">
                        <svg class="icon">
                          <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-video"></use>
                        </svg>
                      </div>
                      <div class="col-10">
                        <a href="{{ meeting.videoconferenceLink }}" target="_blank">{{ 'operatori.go_to_videoconference' | trans }}</a>
                      </div>
                    </div>
                  {% endif %}
                  {% if meeting.motivationOutcome %}
                    <div class="row">
                      <div class="col-2">
                        <svg class="icon">
                          <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-comment"></use>
                        </svg>
                      </div>
                      <div class="col-10">
                        <p class="my-2 font-italic">{{ meeting.motivationOutcome }}</p>
                      </div>
                    </div>
                  {% endif %}
                </div>
                {% if is_granted('ROLE_OPERATORE') %}
                  {{ include('Operatori/parts/meeting_actions.html.twig', {'meeting':meeting}) }}
                {% endif %}
              </div>
            </div>
            <div class="clearfix my-4"></div>
          </div>
        </div>
      {% endfor %}
    </div>
  </div>
{% else %}
  <div class="text-center font-italic">{{ 'operatori.no_meetings' | trans }}</div>
{% endif %}
